
 LinHES - Bug # 403: Hauppauge grey remote not working

Status: Closed Priority: Normal
Author: alien Category:
Created: 06/20/2009 Assignee: cecil
Updated: 12/25/2011 Due date: 12/31/1969
Description: I just installed R6 for the first time and my hauppauge is not working.

I stopped lircd and then ran mode2 --raw and I can see the key presses coming in.  Not sure what to check 
from here.  I tried copying my old .lircrc file and restarting irexec, but that didn't help.

Any ideas where I can look next?

History
06/20/2009 08:37 am - alien
My system is:

Athlon 2500+
ASUS A7N8X-E Deluxe, 1Gig, SATA
GeForce4 MX 440, PVR-250, DVD
Twinhan VisionPlus DVB-T
Technotrend Budget S-1500 DVB-S

06/20/2009 10:28 am - alien
I copied my old lircd.conf to /etc/lircd.conf and it is working now.

This is weird..... it looks like the "grey" has turned into "silver" as the silver config file will work now for me.  It used to be grey.

Even if I look in the directories, the "silver" is even called "grey" now.  Did something get mixed up?

<code>[allen@violet ~]$ ls /usr/MythVantage/templates/remotes/hauppauge-silver/
lircd-haupgrey.conf  lircrc-haupgrey.txt  preview.jpg
[allen@violet ~]$ </code>

06/21/2009 06:48 am - alien
I have compared configs to what is available elsewhere for the "grey" and "silver" remotes and it looks like:

/usr/MythVantage/templates/remotes/hauppauge-silver is the "grey" remote.

/usr/Mythvantage/templates/remotes/hauppauge-grey-g3 is the "silver" remote.

It would probably be a good idea to rename them to avoid confusion.

The same preview picture is in both directories and it shows the "silver" remote.

I have attached a grey remote picture that can be added to the grey remote directory.

07/07/2009 11:58 pm - cecil
sudo pacman -Sy system-templates
Reconfigure for grey remote.  Exit MythTV then start the frontend again.  Happy?

07/08/2009 02:10 am - alien
Hi Cecil,
Something isn't quite right:

<code>
[allen@violet etc]$ sudo pacman -Sy system-templates
:: Synchronizing package databases...
 core-testing             115.1K   82.6K/s 00:00:01 [#####################] 100%
 extra-testing             51.6K   50.6K/s 00:00:01 [#####################] 100%
resolving dependencies...
looking for inter-conflicts...

Targets (1): system-templates-1.0-25  

Total Download Size:    0.82 MB
Total Installed Size:   3.45 MB

Proceed with installation? [Y/n] y
:: Retrieving packages from core-testing...
error: failed retrieving file 'system-templates-1.0-25-i686.pkg.tar.gz' from knoppmyth.net : Not Found
warning: failed to retrieve some files from core-testing
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.
</code>

07/08/2009 02:19 am - cecil
Try again.  I was doing another update to system-templates.

07/17/2009 02:33 am - alien
Something still isn't right with hauppauge grey remote.  I'll take a closer look this weekend and see if I can straighten it out.

07/19/2009 07:53 am - alien
False alarm.  I rebooted and the current configs are fine.

I thought selecting a new remote restarted enough things.  Apparently not.  Is this something for a new flyspray?

08/21/2009 07:59 pm - cecil
In my testing, it worked w/o a reboot.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04

Files
hauppauge_grey.jpg 66.9 kB 06/21/2009 admin
